# Class UiSwitch<T1>

java.lang.Object
org.eclipse.emf.ecore.util.Switch<T1>
org.eclipse.e4.ui.model.application.ui.util.UiSwitch<T1>

public class UiSwitch<T1> extends org.eclipse.emf.ecore.util.Switch<T1>
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  - `UiPackageImpl`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static UiPackageImpl`
`modelPackage`
The cached model package

## Constructor Summary

Constructors
Constructor
Description
`UiSwitch()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`T1`
`caseApplicationElement(MApplicationElement object)`
Returns the result of interpreting the object as an instance of 'Element'.
`T1`
`caseContext(MContext object)`
Returns the result of interpreting the object as an instance of 'Context'.
`T1`
`caseContribution(MContribution object)`
Returns the result of interpreting the object as an instance of 'Contribution'.
`T1`
`caseCoreExpression(MCoreExpression object)`
Returns the result of interpreting the object as an instance of 'Core Expression'.
`T1`
`caseDirtyable(MDirtyable object)`
Returns the result of interpreting the object as an instance of 'Dirtyable'.
`<T extends MUIElement>
T1`
`caseElementContainer(MElementContainer<T> object)`
Returns the result of interpreting the object as an instance of 'Element Container'.
`T1`
`caseExpression(MExpression object)`
Returns the result of interpreting the object as an instance of 'Expression'.
`<T extends MUIElement>
T1`
`caseGenericStack(MGenericStack<T> object)`
Returns the result of interpreting the object as an instance of 'Generic Stack'.
`<T extends MUIElement>
T1`
`caseGenericTile(MGenericTile<T> object)`
Returns the result of interpreting the object as an instance of 'Generic Tile'.
`<T extends MUIElement>
T1`
`caseGenericTrimContainer(MGenericTrimContainer<T> object)`
Returns the result of interpreting the object as an instance of 'Generic Trim Container'.
`T1`
`caseImperativeExpression(MImperativeExpression object)`
Returns the result of interpreting the object as an instance of 'Imperative Expression'.
`T1`
`caseLocalizable(MLocalizable object)`
Returns the result of interpreting the object as an instance of 'Localizable'.
`T1`
`caseSnippetContainer(MSnippetContainer object)`
Returns the result of interpreting the object as an instance of 'Snippet Container'.
`T1`
`caseUIElement(MUIElement object)`
Returns the result of interpreting the object as an instance of 'UI Element'.
`T1`
`caseUILabel(MUILabel object)`
Returns the result of interpreting the object as an instance of 'UI Label'.
`T1`
`defaultCase(org.eclipse.emf.ecore.EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T1`
`doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean`
`isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)`
Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static UiPackageImpl modelPackage
The cached model package

## Constructor Details

### UiSwitch

public UiSwitch()
Creates an instance of the switch.

## Method Details

### isSwitchFor

protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)
Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T1>`
Parameters:
  `ePackage` - the package in question.
Returns:
  whether this is a switch for the given package.

### doSwitch

protected T1 doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T1>`
Returns:
  the first non-null result returned by a `caseXXX` call.

### caseContext

public T1 caseContext(MContext object)
Returns the result of interpreting the object as an instance of 'Context'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Context'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseDirtyable

public T1 caseDirtyable(MDirtyable object)
Returns the result of interpreting the object as an instance of 'Dirtyable'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Dirtyable'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseUIElement

public T1 caseUIElement(MUIElement object)
Returns the result of interpreting the object as an instance of 'UI Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'UI Element'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseElementContainer

public <T extends MUIElement> T1 caseElementContainer(MElementContainer<T> object)
Returns the result of interpreting the object as an instance of 'Element Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Element Container'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseUILabel

public T1 caseUILabel(MUILabel object)
Returns the result of interpreting the object as an instance of 'UI Label'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'UI Label'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseGenericStack

public <T extends MUIElement> T1 caseGenericStack(MGenericStack<T> object)
Returns the result of interpreting the object as an instance of 'Generic Stack'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Generic Stack'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseGenericTile

public <T extends MUIElement> T1 caseGenericTile(MGenericTile<T> object)
Returns the result of interpreting the object as an instance of 'Generic Tile'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Generic Tile'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseGenericTrimContainer

public <T extends MUIElement> T1 caseGenericTrimContainer(MGenericTrimContainer<T> object)
Returns the result of interpreting the object as an instance of 'Generic Trim Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Generic Trim Container'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseExpression

public T1 caseExpression(MExpression object)
Returns the result of interpreting the object as an instance of 'Expression'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Expression'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseCoreExpression

public T1 caseCoreExpression(MCoreExpression object)
Returns the result of interpreting the object as an instance of 'Core Expression'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Core Expression'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseImperativeExpression

public T1 caseImperativeExpression(MImperativeExpression object)
Returns the result of interpreting the object as an instance of 'Imperative Expression'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Imperative Expression'.
See Also:
  - `doSwitch(EObject)`

### caseSnippetContainer

public T1 caseSnippetContainer(MSnippetContainer object)
Returns the result of interpreting the object as an instance of 'Snippet Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Snippet Container'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseLocalizable

public T1 caseLocalizable(MLocalizable object)
Returns the result of interpreting the object as an instance of 'Localizable'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Localizable'.
Since:
  1.1
See Also:
  - `doSwitch(EObject)`

### caseApplicationElement

public T1 caseApplicationElement(MApplicationElement object)
Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Element'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### caseContribution

public T1 caseContribution(MContribution object)
Returns the result of interpreting the object as an instance of 'Contribution'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Contribution'.
Since:
  1.0
See Also:
  - `doSwitch(EObject)`

### defaultCase

public T1 defaultCase(org.eclipse.emf.ecore.EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T1>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  - `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`